Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
angelofmine

[Yêu cầu] Trim giữa 2 đối tượng

Các bài được khuyến nghị

angelofmine    1

Em cũng đã search nhưng chưa tìm được đúng Lisp cần thiết, mong các bác giúp đỡ.

Em đang cần 1 lisp có thể cắt các đoạn giữa 2 đối tượng được chọn (Cắt đường đồng mức)

Bác nào có lisp đó thì cho em xin :)

Em cảm ơn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pdle    125

Em cũng đã search nhưng chưa tìm được đúng Lisp cần thiết, mong các bác giúp đỡ.

Em đang cần 1 lisp có thể cắt các đoạn giữa 2 đối tượng được chọn (Cắt đường đồng mức)

Bác nào có lisp đó thì cho em xin :)

Em cảm ơn.

Lệnh Break không phát huy tác dụng hả anh ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
angelofmine    1

Lệnh Break không phát huy tác dụng hả anh ?

Xóa các đối tượng giữa 2 đối tượng được chọn mà bác.

Break sao đươc nhỉ?

Em đang muốn xin 1 cái lisp cắt cho nhanh mà. Không phải chọn từng đường một.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
pdle    125

Xóa các đối tượng giữa 2 đối tượng được chọn mà bác.

Break sao đươc nhỉ?

Em đang muốn xin 1 cái lisp cắt cho nhanh mà. Không phải chọn từng đường một.

Anh đừng cười em nha, nhưng thú thật là em không hình dung lắm được công việc mà anh cần làm. Tại sao lệnh trim ở đây lại không được hả anh. Em đề xuất lệnh Break là vì em hiểu là anh muốn cắt một đường thẳng thành các đoạn thẳng nhỏ khác nhau tại các điểm giao nhau của đường đó với các đường thẳng khác.

Nếu có thể, anh thử đưa ra minh hoạ cụ thể hơn được không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
hoan2182    836

Xóa các đối tượng giữa 2 đối tượng được chọn mà bác.

Break sao đươc nhỉ?

Em đang muốn xin 1 cái lisp cắt cho nhanh mà. Không phải chọn từng đường một.

Muốn xoá đối tượng giữa hai đối tượng mà ko cần phải chọn từng đường một chỉ có một cách đơn giản nhất là :

Gõ TR (lệnh trim)>>> gõ Enter 2 lần>>> quét chọn các đối tượng cần xoá là được.

 

Lệnh Break chỉ chém đứt một đoạn thẳng thành 2 phần thôi không xoá được!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
angelofmine    1

Muốn xoá đối tượng giữa hai đối tượng mà ko cần phải chọn từng đường một chỉ có một cách đơn giản nhất là :

Gõ TR (lệnh trim)>>> gõ Enter 2 lần>>> quét chọn các đối tượng cần xoá là được.

 

Lệnh Break chỉ chém đứt một đoạn thẳng thành 2 phần thôi không xoá được!

Em đang cần 1 lisp để trim cho nhanh mà. :|

Có nghĩa là chỉ cần chọn 2 đối tượng làm dao cắt. Sau đó có lựa chọn pick vào giữa là các đường cắt giữa 2 đối tượng đó bị cắt luôn. (có rất nhiều, nếu quét vào các đối tượng cần xóa vẫn sẽ rất lâu)

Như kiểu lệnh extrim ấy, nhưng được giới hạn bởi 2 đối tuợng.

Mong các bác giúp.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Muốn xoá đối tượng giữa hai đối tượng mà ko cần phải chọn từng đường một chỉ có một cách đơn giản nhất là :

Gõ TR (lệnh trim)>>> gõ Enter 2 lần>>> quét chọn các đối tượng cần xoá là được.

 

Lệnh Break chỉ chém đứt một đoạn thẳng thành 2 phần thôi không xoá được!

Sử dụng lệnh Trim cộng với : layon,layoff, layiso.. thì cũng nhanh thôy! còn nếu dùng Lisp thì bạn qua Topic viết lisp theo yêu cầu nhờ các cao thủ bên lisp.

chúc bạn thành công! :blush:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Em đang cần 1 lisp để trim cho nhanh mà. :|

Có nghĩa là chỉ cần chọn 2 đối tượng làm dao cắt. Sau đó có lựa chọn pick vào giữa là các đường cắt giữa 2 đối tượng đó bị cắt luôn. (có rất nhiều, nếu quét vào các đối tượng cần xóa vẫn sẽ rất lâu)

Như kiểu lệnh extrim ấy, nhưng được giới hạn bởi 2 đối tuợng.

Mong các bác giúp.

Tạm thời bạn cứ dùng lệnh Trim với lựa chọn Fence đi đã. Còn yêu cầu dùng Lisp, có khả năng không quá khó, nhưng bạn đặt thiếu tên Topic rồi, mình cứ ngỡ là bạn giới thiệu Lisp mới cơ :)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
angelofmine    1

Tạm thời bạn cứ dùng lệnh Trim với lựa chọn Fence đi đã. Còn yêu cầu dùng Lisp, có khả năng không quá khó, nhưng bạn đặt thiếu tên Topic rồi, mình cứ ngỡ là bạn giới thiệu Lisp mới cơ :)

Nếu trong quá trình đặt tên Topic có điều gì sai xót mong gia đình lượng thứ :)

Nếu bác có lisp thì cho em xin luôn:) Em tìm mãi không thấy.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
ketxu    2.653

Nếu trong quá trình đặt tên Topic có điều gì sai xót mong gia đình lượng thứ :)

Nếu bác có lisp thì cho em xin luôn:) Em tìm mãi không thấy.

Thú thực với bạn là mình không có, nếu có thì đã post rồi :) Cũng định viết nhưng thời gian này mình đang đi công trường, gần như là không có chút thời gian nào ^^ Trên CV còn rất nhiều lisper nữa, chắc chắn là yêu cầu của bạn sớm có phản hồi thôi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
phamthanhbinh    3.123

Up

Hề hề hề,

Thực ra cái yêu cầu của bạn chả rõ ràng nên chả ai có thể giúp bạn được cả.

Cách tốt nhất là bạn nên upload một file bản vẽ có chứa cái bạn có và một file bản vẽ chứa cái bạn cần lên để mọi người nghiên cứu mới có thể giúp bạn được.

Nếu bạn còn có những yêu cầu khác nữa mà vẫn làm kiểu này thì hãy yên tâm rằng chả có câu trả lời nào đâu.

Mong bạn hiểu và hãy cố gắng upload sớm các bản vẽ của bạn để mọi người giúp.

Hãy đọc kỹ các quy định của diễn đàn....

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
TayNgang09    1

Tui mới tham gia diễn đàn. Các bác thử dùng đoạn này xem sao

 

;;;======================== Cat bo cac duong o giua 2 duong duoc chon


(defun C:CatDM ( / LwuBien EnCat1 EnCat2 Con DuongDM Cuoi1 Dau1 Cuoi2 Dau2 Thang1 Thang2 CaoDo )
   (setq LwuBien (list (getvar "cmdecho")
  									     (getvar "osmode")))

   (setvar "cmdecho" 0)
   (setvar "osmode" 	0)
   (WHILE (not EnCat1)
       (setq EnCat1 (car (entsel "\nCh\U+1ECDn \U+0111\U+01B0\U+1EDDng c\U+1EAFt th\U+1EE9 nh\U+1EA5t: ")))
   )
   (setq    Dau1 (car (ACET-GEOM-OBJECT-END-POINTS EnCat1))
  		     Cuoi1 (cadr (ACET-GEOM-OBJECT-END-POINTS EnCat1)))
   (redraw EnCat1 3)
   (WHILE (not EnCat2)
       (setq EnCat2 (car (entsel "\nCh\U+1ECDn \U+0111\U+01B0\U+1EDDng c\U+1EAFt th\U+1EE9 hai: ")))
   )
   (setq Dau2 (car (ACET-GEOM-OBJECT-END-POINTS EnCat2))
  		     Cuoi2 (cadr (ACET-GEOM-OBJECT-END-POINTS EnCat2))
  		     Con T)
   (redraw EnCat2 3)
   (if (inters Dau1 Dau2 Cuoi1 Cuoi2 t)
       (setq Dau2 (cadr (ACET-GEOM-OBJECT-END-POINTS EnCat2))
  			     Cuoi2 (car (ACET-GEOM-OBJECT-END-POINTS EnCat2)))
   )
   (command ".line" Dau1 Dau2 "")
   (setq Thang1 (entlast))
   (redraw Thang1 2)
   (command ".line" Cuoi1 Cuoi2 "")
   (setq Thang2 (entlast))
   (redraw Thang2 2)
   (while Con
       (setq DuongDM (entsel "\nCh\U+1ECDn \U+0111o\U+1EA1n c\U+1EA7n c\U+1EAFt b\U+1ECF gi\U+1EEFa hai \U+0111\U+01B0\U+1EDDng < ENTER \U+0111\U+1EC3 thôi c\U+1EAFt > : "))
       (if DuongDM
  	     (command ".Trim" EnCat1 EnCat2 Thang1 Thang2 "" "e" "n" DuongDM "")
  	     (setq Con nil)
       )
   )
   (command ".erase" Thang1 Thang2 "")
   (redraw EnCat1 4)
   (redraw EnCat2 4)
   (setvar "cmdecho" (nth 0 LwuBien))
   (setvar "osmode" 	(nth 1 LwuBien))
   (princ)
)
;;;========================

Chỉnh sửa theo ketxu
Nhắc bạn Tayngang09 cho code vào thẻ Code

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×